package pps.core.task.job;

import xstartup.annotation.XService;
import xstartup.annotation.XText;
import xstartup.base.XContext;
import xstartup.base.XStartup;
import xstartup.base.tool.XLoggerTool;
import xstartup.data.XServiceResult;
import xstartup.service.job.XJob;
import xstartup.service.job.annotation.XCronTrigger;

/**
 * 天气数据邮件接收定时任务
 *
 * @author ZWT
 * @date 2023/11/13 17:15
 */
@XText("天气数据邮件接收定时任务")
@XService
public class WeatherReceiveJob implements XJob {

    /**
     * 每半小时执行
     *
     * @param xContext x上下文
     * @return {@link XServiceResult}
     */
    @XCronTrigger(value = XCronTrigger.PRE_5S)
    @Override
    public XServiceResult execute(XContext xContext) {
        XLoggerTool logger = xContext.getLogger();
        logger.info("------ WeatherReceiveJob start:{}", System.currentTimeMillis());
        logger.info("------ WeatherReceiveJob end:{}", System.currentTimeMillis());
        String property = XStartup.getCurrent().getProperty("weather.file.temp.path");
        return XServiceResult.OK;
    }
}
